# Account Transfer events

Account Transfer events

Endpoint: POST Account Transfers events
Version: 1.96.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "ACCOUNT_TRANSFER.NEW", "ACCOUNT_TRANSFER.PROCESSING", "ACCOUNT_TRANSFER.SETTLED", "ACCOUNT_TRANSFER.PARTIALLY_SETTLED", "ACCOUNT_TRANSFER.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)
    Account transfer request unique identifier.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.direction` (string, required)
    Direction of the account transfer
* INCOMING - account transfer is incoming to the user.
* OUTGOING - account transfer is outgoing from the user.
    Enum: "INCOMING", "OUTGOING"

  - `object.status` (string, required)
    Status of the account transfer
* NEW - account transfer is created but not started processing.
* PROCESSING - account transfer is in processing.
* SETTLED - account transfer was successfully settled.
* PARTIALLY_SETTLED - account transfer was partially settled, while some instrument got cancelled.
* CANCELLED - account transfer was cancelled.
    Enum: "NEW", "PROCESSING", "SETTLED", "PARTIALLY_SETTLED", "CANCELLED"

  - `object.transfer_type` (string, required)
    Type of the account transfer
* NO_OWNER_CHANGE - No change of ownership.
    Enum: "NO_OWNER_CHANGE"

  - `object.instruments` (array, required)
    List of instruments positions.

  - `object.instruments.id` (string, required)
    ISIN or other identity (depends on instrument_id_type) of the security to be transferred.

  - `object.instruments.id_type` (string, required)
    Type of the instrument_id
* ISIN - International Securities Identification Number
    Enum: "ISIN"

  - `object.instruments.quantity` (string, required)
    The quantity of instrument to move in or out.

  - `object.instruments.status` (string, required)
    Status of the securities transfer
* NEW - Securities transfer is created but not started processing.
* PROCESSING - Securities transfer is in processing.
* SETTLED - Securities transfer was successfully settled.
* CANCELLED - Securities transfer was cancelled.
    Enum: "NEW", "PROCESSING", "SETTLED", "CANCELLED"

  - `object.instruments.transfer_id` (string, required)
    Securities transfer request unique identifier.

  - `object.instruments.quantity_settled` (string)
    The quantity of instruments settled.

  - `object.user_id` (string, required)
    User unique identifier.

  - `object.account_id` (string, required)
    Account unique identifier.

  - `object.settlement_reference` (string, required)
    Unique identifier of the account transfer set by API consumers. Useful for API consumers to build special logic on top of it.
NOTE: This reference will be set and be common to all securities transfers.

  - `object.counterparty` (any, required)
    Counterparty for account transfer. The type field determines which counterparty variant is present in the payload.

  - `object.trade_date` (string)
    The forecast date when the trade takes place. Date in YYYY-MM-DD format. 
NOTE: This date mirrors the preliminary date if given in request as input, each single transfer can have their own date according to market needs.

  - `object.settlement_date` (string)
    The forecast date when the settlement takes place. Date in YYYY-MM-DD format. 
NOTE: This date mirrors the preliminary date if given in request as input, each single transfer can have their own date according to market needs.

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
